
package cz.karry.dop.nbmodule.dbg.breakpoints;

import javax.swing.JComponent;

//import org.netbeans.modules.php.dbgp.ui.DbgpMethodBreakpointPanel;
import org.netbeans.spi.debugger.ui.BreakpointType;
import org.openide.util.NbBundle;


/**
 * @author ads
 *
 */
public class DopBreakpointType extends BreakpointType {
    
    private static final String DOP_BREAKPOINT_TYPE    
                                            = "LBL_DopType";             // NOI18N
    private static final String METHOD_TYPE            
                                            = "LBL_MethodBreakpointType";// NOI18N

    /* (non-Javadoc)
     * @see org.netbeans.spi.debugger.ui.BreakpointType#getCategoryDisplayName()
     */
    @Override
    public String getCategoryDisplayName() {
        return NbBundle.getMessage( DopBreakpointType.class, 
              DOP_BREAKPOINT_TYPE  );
    }

    /* (non-Javadoc)
     * @see org.netbeans.spi.debugger.ui.BreakpointType#getCustomizer()
     */
    @Override
    public JComponent getCustomizer() {
        return new DopBreakpointPanel();
    }

    /* (non-Javadoc)
     * @see org.netbeans.spi.debugger.ui.BreakpointType#getTypeDisplayName()
     */
    @Override
    public String getTypeDisplayName() {
        return NbBundle.getMessage( DopBreakpointType.class, 
                METHOD_TYPE);
    }

    /* (non-Javadoc)
     * @see org.netbeans.spi.debugger.ui.BreakpointType#isDefault()
     */
    @Override
    public boolean isDefault() {
        return true;
    }

}
